classification
Title: Several actions for argparse arguments missing from docs
Type: behavior Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bethard, docs@python, eric.araujo, ipatrol, marcs, python-dev, sandro.tosi
Priority: normal Keywords: easy, patch

Created on 2010-12-26 01:33 by ipatrol, last changed 2012-01-04 22:27 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
issue10772.patch marcs, 2011-05-29 18:12 review
issue10772.patch2 marcs, 2011-05-30 17:55 adds help, count actions to Doc/library/argparse.rst review
issue10772.patch3 marcs, 2011-11-16 23:53 fix indent of help, move "For example" to start review
Messages (12)
msg124654 - (view) Author: (ipatrol) Date: 2010-12-26 01:33
I actually noticed this while trying to free the -h option for my program. The actions not mentioned are count, help, and parsers. Also for nargs, '...' and 'A...' are not documented either in the Sphinx docs or the leading docstring for the Action class.
msg125103 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2011-01-02 21:21
action="help" definitely needs to be documented

action="count" probably should be, though I think it's pretty useless (I just copied it from optparse)

action="parsers", nargs="..." and nargs="A..." I'm not so sure about. These are currently kind of implementation details.
msg137211 - (view) Author: Marc Sibson (marcs) Date: 2011-05-29 18:12
issue10772.patch: add help, count and parsers to Doc/library/argparse.rst
msg137269 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-30 13:32
I would not document 'parsers'.
msg137313 - (view) Author: Marc Sibson (marcs) Date: 2011-05-30 17:55
issue10772.patch2: document help and count actions in Doc/library/argparse.rst
msg147687 - (view) Author: (ipatrol) Date: 2011-11-15 16:47
The patch has been submitted, now we just need to apply it and update the online docs accordingly.
msg147688 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-15 16:58
Ezio made further comments, follow the “review” link.
msg147780 - (view) Author: Marc Sibson (marcs) Date: 2011-11-16 23:53
changes as per the review,
msg147864 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-18 12:31
Looks good to me.
msg149527 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2011-12-15 10:49
Looks good to me too.
msg150631 - (view) Author: Roundup Robot (python-dev) Date: 2012-01-04 22:26
New changeset 278fbd7b9608 by Sandro Tosi in branch '2.7':
Issue #10772: add count and help argparse action; patch by Marc Sibson
http://hg.python.org/cpython/rev/278fbd7b9608

New changeset 326f755962e3 by Sandro Tosi in branch '3.2':
Issue #10772: add count and help argparse action; patch by Marc Sibson
http://hg.python.org/cpython/rev/326f755962e3
msg150632 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-04 22:27
Thanks Marc for the patch, I've just committed it.
History
Date User Action Args
2012-01-04 22:27:47sandro.tosisetstatus: open -> closed
resolution: fixed
messages: + msg150632

stage: commit review -> resolved
2012-01-04 22:26:41python-devsetnosy: + python-dev
messages: + msg150631
2011-12-15 10:49:35bethardsetmessages: + msg149527
2011-11-18 12:35:10ezio.melottisetstage: patch review -> commit review
2011-11-18 12:31:12eric.araujosetmessages: + msg147864
2011-11-16 23:53:08marcssetfiles: + issue10772.patch3

messages: + msg147780
2011-11-15 16:58:25eric.araujosetmessages: + msg147688
2011-11-15 16:51:14ezio.melottisetstage: needs patch -> patch review
2011-11-15 16:48:25brian.curtinsetstatus: pending -> open
versions: - Python 3.4
2011-11-15 16:47:42ipatrolsetstatus: open -> pending

messages: + msg147687
versions: + Python 3.4
2011-05-31 21:02:57sandro.tosisetnosy: + sandro.tosi
2011-05-30 17:55:04marcssetfiles: + issue10772.patch2

messages: + msg137313
2011-05-30 13:32:31eric.araujosetmessages: + msg137269
2011-05-29 18:12:47marcssetfiles: + issue10772.patch

nosy: + marcs
messages: + msg137211

keywords: + patch
2011-03-27 21:59:45eric.araujosetkeywords: + easy
nosy: + eric.araujo
stage: needs patch

versions: + Python 3.3
2011-01-02 21:21:21bethardsetnosy: bethard, ipatrol, docs@python
messages: + msg125103
2010-12-31 22:35:16terry.reedysetnosy: + bethard

versions: + Python 3.2, - Python 3.3
2010-12-26 01:33:00ipatrolcreate